Index: /NEMO/trunk/cfgs/SHARED/namelist_ref
===================================================================
--- /NEMO/trunk/cfgs/SHARED/namelist_ref	(revision 14071)
+++ /NEMO/trunk/cfgs/SHARED/namelist_ref	(revision 14072)
@@ -257,25 +257,35 @@
 !-----------------------------------------------------------------------
    !                    !  bulk algorithm :
-   ln_NCAR      = .true.    ! "NCAR"      algorithm   (Large and Yeager 2008)
-   ln_COARE_3p0 = .false.   ! "COARE 3.0" algorithm   (Fairall et al. 2003)
-   ln_COARE_3p6 = .false.   ! "COARE 3.6" algorithm   (Edson et al. 2013)
-   ln_ECMWF     = .false.   ! "ECMWF"     algorithm   (IFS cycle 45r1)
-      !
-      rn_zqt     = 10.      !  Air temperature & humidity reference height (m)
-      rn_zu      = 10.      !  Wind vector reference height (m)
-      ln_Cd_L12  = .false.  !  air-ice drags = F(ice conc.) (Lupkes et al. 2012)
-      ln_Cd_L15  = .false.  !  air-ice drags = F(ice conc.) (Lupkes et al. 2015)
-      ln_crt_fbk = .false.     !  Add surface current feedback to the wind stress (Renault et al. 2020, doi: 10.1029/2019MS001715)
+   ln_NCAR      = .true.     ! "NCAR"      algorithm   (Large and Yeager 2008)
+   ln_COARE_3p0 = .false.    ! "COARE 3.0" algorithm   (Fairall et al. 2003)
+   ln_COARE_3p6 = .false.    ! "COARE 3.6" algorithm   (Edson et al. 2013)
+   ln_ECMWF     = .false.    ! "ECMWF"     algorithm   (IFS cycle 45r1)
+   ln_ANDREAS   = .false.    ! "ANDREAS"   algorithm   (Andreas et al. 2015)
+      rn_zqt       = 10.     !  Air temperature & humidity reference height (m)
+      rn_zu        = 10.     !  Wind vector reference height (m)
+      nn_iter_algo = 5       !  Number of iterations in bulk param. algo ("stable ABL + weak wind" requires more)
+      ln_skin_cs   = .false. !  use the cool-skin parameterization  => use at least nn_iter_algo > 10
+      ln_skin_wl   = .false. !  use the warm-layer parameterization => use at least nn_iter_algo > 10
+   !
+   rn_pfac    = 1.          !  multipl. factor for precipitation (total & snow)
+   rn_efac    = 1.          !  multipl. factor for evaporation (0. or 1.)
+   !
+   ln_crt_fbk = .false.     !  Add surface current feedback to the wind stress (Renault et al. 2020, doi: 10.1029/2019MS001715)
          rn_stau_a = -2.9e-3   !     Alpha from eq. 10: Stau = Alpha * Wnd + Beta
          rn_stau_b =  8.0e-3   !     Beta 
-      rn_pfac    = 1.       !  multipl. factor for precipitation (total & snow)
-      rn_efac    = 1.       !  multipl. factor for evaporation (0. or 1.)
-      ln_skin_cs = .false.  !  use the cool-skin parameterization
-      ln_skin_wl = .false.  !  use the warm-layer parameterization
-      !                     !   ==> only available in ECMWF and COARE algorithms
-      ln_humi_sph = .true.  !  humidity "sn_humi" is specific humidity  [kg/kg]
-      ln_humi_dpt = .false. !  humidity "sn_humi" is dew-point temperature [K]
-      ln_humi_rlh = .false. !  humidity "sn_humi" is relative humidity     [%]
-      ln_tpot     = .true.  !!GS: compute potential temperature or not
+   !
+   ln_humi_sph = .true.  !  humidity "sn_humi" is specific humidity  [kg/kg]
+   ln_humi_dpt = .false. !  humidity "sn_humi" is dew-point temperature [K]
+   ln_humi_rlh = .false. !  humidity "sn_humi" is relative humidity     [%]
+   ln_tair_pot = .false. !  air temperature read in "sn_tair" is already POTENTIAL TEMPERATURE, NOT ABSOLUTE (ECMWF => ln_tair_pot=.false.)
+   !!   
+   !! Bulk transfer coefficients over sea-ice: (relevant IF: nn_ice >=1 )
+   ln_Cx_ice_cst = .true.     ! use constant ice-air bulk transfer coefficients (value given below)
+      rn_Cd_i  = 1.4e-3       ! sea-ice drag coefficient
+      rn_Ce_i  = 1.4e-3       !    "    sublimation coefficient
+      rn_Ch_i  = 1.4e-3       !    "    sensible heat flux coefficient
+   ln_Cx_ice_AN05  = .false.  !  (Andreas et al. 2005)
+   ln_Cx_ice_LU12  = .false.  !  (Lupkes et al. 2012)
+   ln_Cx_ice_LG15  = .false.  !  (Lupkes & Gryanik 2015)
    !
    cn_dir      = './'      !  root directory for the bulk data location
@@ -404,4 +414,9 @@
    sn_e3t      = 'sas_grid_T'            ,       120.        , 'e3t_m'   ,   .true.    , .true. , 'yearly'  ,    ''            ,    ''    ,    ''
    sn_frq      = 'sas_grid_T'            ,       120.        , 'frq_m'   ,   .true.    , .true. , 'yearly'  ,    ''            ,    ''    ,    ''
+   !!
+   !! Following only needed with STATION_ASF compiled with "sea-ice" support: "key_si3" (ice fraction, ice surface temperature and sea-ice albedo:
+   sn_ifr  = 'NOT USED'                  , 1.         , 'siconc'  ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tic  = 'NOT USED'                  , 1.         , 'istl1'   ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ial  = 'NOT USED'                  , 1.         , 'fal'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
 /
 !-----------------------------------------------------------------------
Index: /NEMO/trunk/src/ABL/ablmod.F90
===================================================================
--- /NEMO/trunk/src/ABL/ablmod.F90	(revision 14071)
+++ /NEMO/trunk/src/ABL/ablmod.F90	(revision 14072)
@@ -18,6 +18,6 @@
    USE dom_oce, ONLY  : tmask
    USE sbc_oce, ONLY  : ght_abl, ghw_abl, e3t_abl, e3w_abl, jpka, jpkam1, rhoa
-   USE sbcblk         ! use rn_efac, cdn_oce
-   USE sbcblk_phy     ! use some physical constants for flux computation
+   USE sbcblk         ! use rn_efac
+   USE sbc_phy        ! Catalog of functions for physical/meteorological parameters in the marine boundary layer
    !
    USE prtctl         ! Print control                    (prt_ctl routine)
@@ -135,6 +135,10 @@
          ustar2(ji,jj) = zzoce
 #endif
-         zrough(ji,jj) = ght_abl(2) * EXP( - vkarmn / SQRT( MAX( Cdn_oce(ji,jj), 1.e-4 ) ) ) !<-- recover the value of z0 from Cdn_oce
+         !#LB: sorry Cdn_oce is gone:
+         !zrough(ji,jj) = ght_abl(2) * EXP( - vkarmn / SQRT( MAX( Cdn_oce(ji,jj), 1.e-4 ) ) ) !<-- recover the value of z0 from Cdn_oce
       END_2D
+
+      zrough(:,:) = z0_from_Cd( ght_abl(2), pCd_du(:,:) / MAX( pwndm(:,:), 0.5_wp ) ) ! #LB: z0_from_Cd is define in sbc_phy.F90...
+
       !
       !                            !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
@@ -252,5 +256,5 @@
                   &                     + rDt_abl * fft_abl(ji, jj) * v_abl( ji, jj, jk, nt_n ) )  &
                   &                               / (1._wp + gamma_Cor*gamma_Cor*zcff)
-   
+
                v_abl( ji, jj, jk, nt_a ) =  e3t_abl(jk) *(                                         &
                   &        (1._wp-gamma_Cor*(1._wp-gamma_Cor)*zcff) * v_abl( ji, jj, jk, nt_n )    &
@@ -590,6 +594,6 @@
 
       DO_2D( 0, 1, 0, 1 )
-         zwnd_i(ji,jj) = u_abl(ji  ,jj,2,nt_a) - 0.5_wp * ( pssu(ji  ,jj) + pssu(ji-1,jj) )  
-         zwnd_j(ji,jj) = v_abl(ji,jj  ,2,nt_a) - 0.5_wp * ( pssv(ji,jj  ) + pssv(ji,jj-1) ) 
+         zwnd_i(ji,jj) = u_abl(ji  ,jj,2,nt_a) - 0.5_wp * ( pssu(ji  ,jj) + pssu(ji-1,jj) )
+         zwnd_j(ji,jj) = v_abl(ji,jj  ,2,nt_a) - 0.5_wp * ( pssv(ji,jj  ) + pssv(ji,jj-1) )
       END_2D
       !
@@ -633,5 +637,5 @@
       !    Wind stress relative to the moving ice ( U10m - U_ice )   !
       ! ------------------------------------------------------------ !
-      DO_2D( 0, 0, 0, 0 )           
+      DO_2D( 0, 0, 0, 0 )
          ptaui_ice(ji,jj) = 0.5_wp * ( rhoa(ji+1,jj) * pCd_du_ice(ji+1,jj) + rhoa(ji,jj) * pCd_du_ice(ji,jj)      )   &
             &                      * ( 0.5_wp * ( u_abl(ji+1,jj,2,nt_a) + u_abl(ji,jj,2,nt_a) ) - pssu_ice(ji,jj) )
Index: /NEMO/trunk/src/ABL/sbcabl.F90
===================================================================
--- /NEMO/trunk/src/ABL/sbcabl.F90	(revision 14071)
+++ /NEMO/trunk/src/ABL/sbcabl.F90	(revision 14072)
@@ -22,5 +22,5 @@
    USE sbc_oce        ! Surface boundary condition: ocean fields
    USE sbcblk         ! Surface boundary condition: bulk formulae
-   USE sbcblk_phy     ! Surface boundary condition: bulk formulae
+   USE sbc_phy        ! Catalog of functions for physical/meteorological parameters in the marine boundary layer
    USE dom_oce, ONLY  : tmask
    !
@@ -175,6 +175,6 @@
          IF(nn_amxl==0) WRITE(numout,*) 'Deardorff 80 length-scale '
          IF(nn_amxl==1) WRITE(numout,*) 'Modified Deardorff 80 length-scale '
-         IF(nn_amxl==2) WRITE(numout,*) 'Bougeault and Lacarrere length-scale '		 
-         IF(nn_amxl==3) WRITE(numout,*) 'Rodier et al. length-scale '	
+         IF(nn_amxl==2) WRITE(numout,*) 'Bougeault and Lacarrere length-scale '
+         IF(nn_amxl==3) WRITE(numout,*) 'Rodier et al. length-scale '
          WRITE(numout,*) ' Minimum value of atmospheric TKE           = ',tke_min,' m^2 s^-2'
          WRITE(numout,*) ' Minimum value of atmospheric mixing length = ',mxl_min,' m'
@@ -320,5 +320,5 @@
       INTEGER ,         INTENT(in) ::   kt   ! ocean time step
       !!
-      REAL(wp), DIMENSION(jpi,jpj) ::   zssq, zcd_du, zsen, zevp
+      REAL(wp), DIMENSION(jpi,jpj) ::   zssq, zcd_du, zsen, zlat, zevp
 #if defined key_si3
       REAL(wp), DIMENSION(jpi,jpj) ::   zssqi, zcd_dui, zseni, zevpi
@@ -344,5 +344,5 @@
             &                sf(jp_uoatm)%fnow(:,:,1), sf(jp_voatm)%fnow(:,:,1),   &   !   <<= in
             &                sf(jp_qsr )%fnow(:,:,1) , sf(jp_qlw )%fnow(:,:,1) ,   &   !   <<= in
-            &                tsk_m, zssq, zcd_du, zsen, zevp                       )   !   =>> out
+            &                tsk_m, zssq, zcd_du, zsen, zlat, zevp                 )   !   =>> out
 
 #if defined key_si3
@@ -356,5 +356,5 @@
          !! 3 - Advance ABL variables from now (n) to after (n+1)
          !!-------------------------------------------------------------------------------------------
-   
+
          CALL abl_stp( kt, tsk_m, ssu_m, ssv_m, zssq,                          &   !   <<= in
             &              sf(jp_wndi)%fnow(:,:,:), sf(jp_wndj)%fnow(:,:,:),   &   !   <<= in
@@ -375,9 +375,8 @@
          !!-------------------------------------------------------------------------------------------
 
-         CALL blk_oce_2( tq_abl(:,:,2,nt_n,jp_ta),                            &
-            &            sf(jp_qsr )%fnow(:,:,1) , sf(jp_qlw )%fnow(:,:,1),   &
+         CALL blk_oce_2( tq_abl(:,:,2,nt_n,jp_ta), sf(jp_qlw )%fnow(:,:,1),   &
             &            sf(jp_prec)%fnow(:,:,1) , sf(jp_snow)%fnow(:,:,1),   &
-            &            tsk_m, zsen, zevp                                )
-   
+            &            tsk_m, zsen, zlat, zevp                                )
+
          CALL abl_rst_opn( kt )                       ! Open abl restart file (if necessary)
          IF( lrst_abl ) CALL abl_rst_write( kt )      ! -- abl restart file
Index: /NEMO/trunk/src/ICE/icesbc.F90
===================================================================
--- /NEMO/trunk/src/ICE/icesbc.F90	(revision 14071)
+++ /NEMO/trunk/src/ICE/icesbc.F90	(revision 14072)
@@ -59,5 +59,5 @@
       !!
       INTEGER  ::   ji, jj                 ! dummy loop index
-      REAL(wp), DIMENSION(jpi,jpj) ::   zutau_ice, zvtau_ice 
+      REAL(wp), DIMENSION(jpi,jpj) ::   zutau_ice, zvtau_ice
       !!-------------------------------------------------------------------
       !
@@ -72,8 +72,9 @@
       SELECT CASE( ksbc )
          CASE( jp_usr     )   ;    CALL usrdef_sbc_ice_tau( kt )                 ! user defined formulation
-         CASE( jp_blk     )   ;    CALL blk_ice_1( sf(jp_wndi)%fnow(:,:,1), sf(jp_wndj)%fnow(:,:,1),   &
-            &                                      sf(jp_tair)%fnow(:,:,1), sf(jp_humi)%fnow(:,:,1),   &
+      CASE( jp_blk     )
+         CALL blk_ice_1( sf(jp_wndi)%fnow(:,:,1), sf(jp_wndj)%fnow(:,:,1),   &
+            &                                      theta_air_zt(:,:), q_air_zt(:,:),   &   ! #LB: known from "sbc_oce" module...
             &                                      sf(jp_slp )%fnow(:,:,1), u_ice, v_ice, tm_su    ,   &   ! inputs
-            &                                      putaui = utau_ice, pvtaui = vtau_ice            )       ! outputs                             
+            &                                      putaui = utau_ice, pvtaui = vtau_ice            )       ! outputs
  !        CASE( jp_abl     )    utau_ice & vtau_ice are computed in ablmod
          CASE( jp_purecpl )   ;    CALL sbc_cpl_ice_tau( utau_ice , vtau_ice )   ! Coupled      formulation
@@ -93,5 +94,5 @@
    END SUBROUTINE ice_sbc_tau
 
-   
+
    SUBROUTINE ice_sbc_flx( kt, ksbc )
       !!-------------------------------------------------------------------
@@ -108,5 +109,5 @@
       !!                dqns_ice                                 = non solar  heat sensistivity                  [W/m2]
       !!                qemp_oce, qemp_ice, qprec_ice, qevap_ice = sensible heat (associated with evap & precip) [W/m2]
-      !!            + some fields that are not used outside this module: 
+      !!            + some fields that are not used outside this module:
       !!                qla_ice                                  = latent heat flux over ice                     [W/m2]
       !!                dqla_ice                                 = latent heat sensistivity                      [W/m2]
@@ -118,5 +119,5 @@
       !
       INTEGER  ::   ji, jj, jl      ! dummy loop index
-      REAL(wp) ::   zmiss_val       ! missing value retrieved from xios 
+      REAL(wp) ::   zmiss_val       ! missing value retrieved from xios
       REAL(wp), DIMENSION(:,:), ALLOCATABLE ::   zalb, zmsk00      ! 2D workspace
       !!--------------------------------------------------------------------
@@ -142,6 +143,8 @@
                                   CALL usrdef_sbc_ice_flx( kt, h_s, h_i )
       CASE( jp_blk, jp_abl )  !--- bulk formulation & ABL formulation
-                                  CALL blk_ice_2    ( t_su, h_s, h_i, alb_ice, sf(jp_tair)%fnow(:,:,1), sf(jp_humi)%fnow(:,:,1),    &
-            &                                           sf(jp_slp)%fnow(:,:,1), sf(jp_qlw)%fnow(:,:,1), sf(jp_prec)%fnow(:,:,1), sf(jp_snow)%fnow(:,:,1) )    ! 
+                                  CALL blk_ice_2    ( t_su, h_s, h_i, alb_ice, &
+            &                                         theta_air_zt(:,:), q_air_zt(:,:),    &   ! #LB: known from "sbc_oce" module...
+            &                                         sf(jp_slp)%fnow(:,:,1), sf(jp_qlw)%fnow(:,:,1), &
+            &                                         sf(jp_prec)%fnow(:,:,1), sf(jp_snow)%fnow(:,:,1) )
          IF( ln_mixcpl        )   CALL sbc_cpl_ice_flx( picefr=at_i_b, palbi=alb_ice, psst=sst_m, pist=t_su, phs=h_s, phi=h_i )
          IF( nn_flxdist /= -1 )   CALL ice_flx_dist   ( t_su, alb_ice, qns_ice, qsr_ice, dqns_ice, evap_ice, devap_ice, nn_flxdist )
@@ -163,5 +166,5 @@
             zalb  (:,:) = rn_alb_oce
          ELSEWHERE
-            zmsk00(:,:) = 1._wp            
+            zmsk00(:,:) = 1._wp
             zalb  (:,:) = SUM( alb_ice * a_i_b, dim=3 ) / at_i_b
          END WHERE
@@ -185,5 +188,5 @@
       !!                  ***  ROUTINE ice_flx_dist  ***
       !!
-      !! ** Purpose :   update the ice surface boundary condition by averaging 
+      !! ** Purpose :   update the ice surface boundary condition by averaging
       !!              and/or redistributing fluxes on ice categories
       !!
@@ -192,5 +195,5 @@
       !! ** Action  :   depends on k_flxdist
       !!                = -1  Do nothing (needs N(cat) fluxes)
-      !!                =  0  Average N(cat) fluxes then apply the average over the N(cat) ice 
+      !!                =  0  Average N(cat) fluxes then apply the average over the N(cat) ice
       !!                =  1  Average N(cat) fluxes then redistribute over the N(cat) ice
       !!                                                 using T-ice and albedo sensitivity
@@ -222,10 +225,10 @@
       ELSEWHERE                      ; z1_at_i(:,:) = 0._wp
       END WHERE
-      
+
       SELECT CASE( k_flxdist )       !==  averaged on all ice categories  ==!
       !
       CASE( 0 , 1 )
          !
-         ALLOCATE( z_qns_m(jpi,jpj), z_qsr_m(jpi,jpj), z_dqn_m(jpi,jpj), z_evap_m(jpi,jpj), z_devap_m(jpi,jpj) )  
+         ALLOCATE( z_qns_m(jpi,jpj), z_qsr_m(jpi,jpj), z_dqn_m(jpi,jpj), z_evap_m(jpi,jpj), z_devap_m(jpi,jpj) )
          !
          z_qns_m  (:,:) = SUM( a_i(:,:,:) * pqns_ice  (:,:,:) , dim=3 ) * z1_at_i(:,:)
@@ -242,5 +245,5 @@
          END DO
          !
-         DEALLOCATE( z_qns_m, z_qsr_m, z_dqn_m, z_evap_m, z_devap_m )  
+         DEALLOCATE( z_qns_m, z_qsr_m, z_dqn_m, z_evap_m, z_devap_m )
          !
       END SELECT
@@ -250,5 +253,5 @@
       CASE( 1 , 2 )
          !
-         ALLOCATE( zalb_m(jpi,jpj), ztem_m(jpi,jpj) )  
+         ALLOCATE( zalb_m(jpi,jpj), ztem_m(jpi,jpj) )
          !
          zalb_m(:,:) = SUM( a_i(:,:,:) * palb_ice(:,:,:) , dim=3 ) * z1_at_i(:,:)
@@ -260,5 +263,5 @@
          END DO
          !
-         DEALLOCATE( zalb_m, ztem_m )  
+         DEALLOCATE( zalb_m, ztem_m )
          !
       END SELECT
@@ -272,5 +275,5 @@
       !!
       !! ** Purpose :   Physical constants and parameters linked to the ice dynamics
-      !!      
+      !!
       !! ** Method  :   Read the namsbc namelist and check the ice-dynamic
       !!              parameter values called at the first timestep (nit000)
Index: /NEMO/trunk/src/OCE/DOM/phycst.F90
===================================================================
--- /NEMO/trunk/src/OCE/DOM/phycst.F90	(revision 14071)
+++ /NEMO/trunk/src/OCE/DOM/phycst.F90	(revision 14072)
@@ -7,7 +7,7 @@
    !!             8.1  !  1991-11  (G. Madec, M. Imbard)  cosmetic changes
    !!   NEMO      1.0  !  2002-08  (G. Madec, C. Ethe)  F90, add ice constants
-   !!              -   !  2006-08  (G. Madec)  style 
-   !!             3.2  !  2006-08  (S. Masson, G. Madec)  suppress useless variables + style 
-   !!             3.4  !  2011-11  (C. Harris)  minor changes for CICE constants 
+   !!              -   !  2006-08  (G. Madec)  style
+   !!             3.2  !  2006-08  (S. Masson, G. Madec)  suppress useless variables + style
+   !!             3.4  !  2011-11  (C. Harris)  minor changes for CICE constants
    !!----------------------------------------------------------------------
 
@@ -26,5 +26,5 @@
    REAL(wp), PUBLIC ::   rad      = 3.141592653589793_wp / 180._wp   !: conversion from degre into radian
    REAL(wp), PUBLIC ::   rsmall   = 0.5 * EPSILON( 1.e0 )            !: smallest real computer value
-   
+
    REAL(wp), PUBLIC ::   rday     = 24.*60.*60.      !: day                                [s]
    REAL(wp), PUBLIC ::   rsiyea                      !: sideral year                       [s]
@@ -36,5 +36,5 @@
    REAL(wp), PUBLIC ::   omega                       !: earth rotation parameter           [s-1]
    REAL(wp), PUBLIC ::   ra       = 6371229._wp      !: earth radius                       [m]
-   REAL(wp), PUBLIC ::   grav     = 9.80665_wp       !: gravity                            [m/s2]   
+   REAL(wp), PUBLIC ::   grav     = 9.80665_wp       !: gravity                            [m/s2]
    REAL(wp), PUBLIC ::   rt0      = 273.15_wp        !: freezing point of fresh water [Kelvin]
 
@@ -43,5 +43,5 @@
    REAL(wp), PUBLIC ::   rcp                         !: ocean specific heat           [J/Kelvin]
    REAL(wp), PUBLIC ::   r1_rcp                      !: = 1. / rcp                    [Kelvin/J]
-   REAL(wp), PUBLIC ::   rho0_rcp                    !: = rho0 * rcp 
+   REAL(wp), PUBLIC ::   rho0_rcp                    !: = rho0 * rcp
    REAL(wp), PUBLIC ::   r1_rho0_rcp                 !: = 1. / ( rho0 * rcp )
 
@@ -52,5 +52,6 @@
    REAL(wp), PUBLIC ::   rLevap   =    2.5e+6_wp     !: latent heat of evaporation (water)
    REAL(wp), PUBLIC ::   vkarmn   =    0.4_wp        !: von Karman constant
-   REAL(wp), PUBLIC ::   stefan   =    5.67e-8_wp    !: Stefan-Boltzmann constant 
+   REAL(wp), PUBLIC ::   vkarmn2  =    0.4_wp*0.4_wp !: square of von Karman constant
+   REAL(wp), PUBLIC ::   stefan   =    5.67e-8_wp    !: Stefan-Boltzmann constant
 
    REAL(wp), PUBLIC ::   rhos     =  330._wp         !: volumic mass of snow                                  [kg/m3]
@@ -66,13 +67,13 @@
    REAL(wp), PUBLIC ::   r1_rhos                     !: 1 / rhos
    REAL(wp), PUBLIC ::   r1_rcpi                     !: 1 / rcpi
-   
+
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
-   
+
 CONTAINS
-   
+
    SUBROUTINE phy_cst
       !!----------------------------------------------------------------------
@@ -87,5 +88,5 @@
       omega  = 7.292116e-05
 #else
-      omega  = 2._wp * rpi / rsiday 
+      omega  = 2._wp * rpi / rsiday
 #endif
 
@@ -126,6 +127,6 @@
          WRITE(numout,*) '      salinity of ice (for pisces)              = ', sice    , ' psu'
          WRITE(numout,*) '      salinity of sea (for pisces and isf)      = ', soce    , ' psu'
-         WRITE(numout,*) '      latent heat of evaporation (water)        = ', rLevap  , ' J/m^3' 
-         WRITE(numout,*) '      von Karman constant                       = ', vkarmn 
+         WRITE(numout,*) '      latent heat of evaporation (water)        = ', rLevap  , ' J/m^3'
+         WRITE(numout,*) '      von Karman constant                       = ', vkarmn
          WRITE(numout,*) '      Stefan-Boltzmann constant                 = ', stefan  , ' J/s/m^2/K^4'
          WRITE(numout,*)
Index: /NEMO/trunk/src/OCE/SBC/sbc_ice.F90
===================================================================
--- /NEMO/trunk/src/OCE/SBC/sbc_ice.F90	(revision 14071)
+++ /NEMO/trunk/src/OCE/SBC/sbc_ice.F90	(revision 14072)
@@ -20,5 +20,5 @@
 # endif
 # if defined key_cice
-   USE ice_domain_size, only: ncat 
+   USE ice_domain_size, only: ncat
 #endif
    USE lib_mpp          ! MPP library
@@ -32,5 +32,5 @@
 # if defined  key_si3
    LOGICAL         , PUBLIC, PARAMETER ::   lk_si3     = .TRUE.   !: SI3 ice model
-   LOGICAL         , PUBLIC, PARAMETER ::   lk_cice    = .FALSE.  !: no CICE 
+   LOGICAL         , PUBLIC, PARAMETER ::   lk_cice    = .FALSE.  !: no CICE
 # endif
 # if defined  key_cice
@@ -47,6 +47,6 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   alb_ice        !: ice albedo                                       [-]
 
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qml_ice        !: heat available for snow / ice surface melting     [W/m2] 
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qcn_ice        !: heat conduction flux in the layer below surface   [W/m2] 
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qml_ice        !: heat available for snow / ice surface melting     [W/m2]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qcn_ice        !: heat conduction flux in the layer below surface   [W/m2]
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qtr_ice_top    !: solar flux transmitted below the ice surface      [W/m2]
 
@@ -87,9 +87,9 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   fr_iu              !: ice fraction at NEMO U point
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   fr_iv              !: ice fraction at NEMO V point
-   
+
    ! variables used in the coupled interface
    INTEGER , PUBLIC, PARAMETER ::   jpl = ncat
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   u_ice, v_ice 
-   
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   u_ice, v_ice
+
    ! already defined in ice.F90 for SI3
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  a_i
@@ -98,6 +98,4 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   tatm_ice       !: air temperature [K]
 #endif
-
-   REAL(wp), PUBLIC, SAVE ::   pp_cldf = 0.81    !: cloud fraction over sea ice, summer CLIO value   [-]
 
    !! arrays relating to embedding ice in the ocean
@@ -108,5 +106,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
@@ -145,5 +143,5 @@
          &                     v_ice(jpi,jpj)        , alb_ice(jpi,jpj,1)    , &
          &                     emp_ice(jpi,jpj)      , qns_ice(jpi,jpj,1)    , dqns_ice(jpi,jpj,1)   , &
-         &                     STAT= ierr(3) )      
+         &                     STAT= ierr(3) )
       IF( ln_cpl )   ALLOCATE( h_i(jpi,jpj,jpl) , h_s(jpi,jpj,jpl) , STAT=ierr(4) )
 #endif
@@ -168,6 +166,6 @@
    LOGICAL         , PUBLIC, PARAMETER ::   lk_si3     = .FALSE.  !: no SI3 ice model
    LOGICAL         , PUBLIC, PARAMETER ::   lk_cice    = .FALSE.  !: no CICE ice model
-   REAL(wp)        , PUBLIC, PARAMETER ::   pp_cldf    = 0.81     !: cloud fraction over sea ice, summer CLIO value   [-]
-   INTEGER         , PUBLIC, PARAMETER ::   jpl = 1 
+
+   INTEGER         , PUBLIC, PARAMETER ::   jpl = 1
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   u_ice, v_ice                        ! jpi, jpj
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   tn_ice, alb_ice, qns_ice, dqns_ice  ! (jpi,jpj,jpl)
@@ -178,6 +176,6 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   topmelt, botmelt
    !
-   !! arrays related to embedding ice in the ocean. 
-   !! These arrays need to be declared even if no ice model is required. 
+   !! arrays related to embedding ice in the ocean.
+   !! These arrays need to be declared even if no ice model is required.
    !! In the no ice model or traditional levitating ice cases they contain only zeros
    !! ---------------------
Index: /NEMO/trunk/src/OCE/SBC/sbc_oce.F90
===================================================================
--- /NEMO/trunk/src/OCE/SBC/sbc_oce.F90	(revision 14071)
+++ /NEMO/trunk/src/OCE/SBC/sbc_oce.F90	(revision 14072)
@@ -73,5 +73,5 @@
    LOGICAL , PUBLIC ::   ln_charn       !: =T Chranock coefficient from wave model
    LOGICAL , PUBLIC ::   ln_taw         !: =T wind stress corrected by wave intake
-   LOGICAL , PUBLIC ::   ln_phioc       !: =T TKE surface BC from wave model 
+   LOGICAL , PUBLIC ::   ln_phioc       !: =T TKE surface BC from wave model
    LOGICAL , PUBLIC ::   ln_bern_srfc   !: Bernoulli head, waves' inuced pressure
    LOGICAL , PUBLIC ::   ln_breivikFV_2016 !: Breivik 2016 profile
@@ -153,4 +153,11 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   frq_m     !: mean (nn_fsbc time-step) fraction of solar net radiation absorbed in the 1st T level [-]
 
+   !!----------------------------------------------------------------------
+   !!                     Surface atmospheric fields
+   !!----------------------------------------------------------------------
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) :: q_air_zt       !: specific humidity of air at z=zt [kg/kg]ww
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) :: theta_air_zt   !: potential temperature of air at z=zt [K]
+
+
    !! * Substitutions
 #  include "do_loop_substitute.h90"
@@ -166,5 +173,5 @@
       !!                  ***  FUNCTION sbc_oce_alloc  ***
       !!---------------------------------------------------------------------
-      INTEGER :: ierr(5)
+      INTEGER :: ierr(6)
       !!---------------------------------------------------------------------
       ierr(:) = 0
@@ -188,4 +195,6 @@
       !
       ALLOCATE( e3t_m(jpi,jpj) , STAT=ierr(5) )
+      !
+      ALLOCATE( q_air_zt(jpi,jpj) , theta_air_zt(jpi,jpj) , STAT=ierr(6) ) !#LB
       !
       sbc_oce_alloc = MAXVAL( ierr )
